Bug 64437 - Web Inspector: Sticky DOM break point
Summary: Web Inspector: Sticky DOM break point
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P2 Minor
Assignee: Pavel Podivilov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-13 01:27 PDT by Arnaud Brousseau
Modified: 2012-01-24 01:26 PST (History)
11 users (show)

See Also:


Attachments
Patch (1.40 KB, patch)
2012-01-23 11:14 PST, Pavel Podivilov
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arnaud Brousseau 2011-07-13 01:27:20 PDT
When setting a breakpoint via "right click" => "Break on subtree modification", the break point is sticky. 
Indeed, I tried to desactivate or delete it: it's successfully removed from the Web Inspector interface, but it reappears when I reload the page.

I originally found the bug in the stable version of Chrome. I upgraded to dev channel version, and the bug was still there.
Please tell me if you need any additional information, I would happily provide them.

Regards, 
Arnaud.
Comment 1 Pavel Podivilov 2012-01-23 11:14:32 PST
Created attachment 123580 [details]
Patch
Comment 2 Pavel Podivilov 2012-01-24 01:26:05 PST
Committed r105707: <http://trac.webkit.org/changeset/105707>